/* Script zur Lagefhrung in EDPweb
   Copyright 2015 by Eifert Systems GmbH
   http://einsatzleitsoftware.de
   
   Dieses Script darf ohne Zustimmung nicht verndert oder weiterkopiert werden. */

//Allgemein


function setvalue(element,newvalue) {
	 document.getElementById(element).value = newvalue;
}

function showloader(divname) {
	document.getElementById(divname).innerHTML =' <img id="loadingImg" src="lage/loading.gif" style="position:absolute; right:50%; top:50%; z-index:100;" />';
}

function loaddiv(sitename,divname){
var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  
  xmlhttp.onreadystatechange=function()
  {
	  
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
	if (xmlhttp.responseText.indexOf("Timeout")>-1) {
		 window.location = "service.html?showsite=anmelden";
	} else {
      document.getElementById(divname).innerHTML=xmlhttp.responseText;
	   if (divname=="cell-sidebar") {
			 document.getElementById('btnlageverlauf').style.background="";
			 document.getElementById(navbutton).style.background="#C1E7FD";
		 }
	 }
    }
	
   if (xmlhttp.readyState==4 && xmlhttp.status!=200)
	{
		 document.body.innerHTML= '<center><div style="width: 400px; padding-top: 50px"><div class="panel"><div class="panel-header">Server nicht erreichbar</div><div class="panel-content">Der EDPweb - Server ist nicht erreichbar. Daher wurde die Lagefhrung beendet.<p>&nbsp;<br><a href="service.html?showsite=start" class="button primary large">Aktualisieren</a></p></div></div></div></div></center>';
	}

  }
xmlhttp.open("GET","service.html?ajaxlage="+sitename+"&time="+(new Date()).getTime(),true);
xmlhttp.send();

}

function addvaluetoinput(inputname,newvalue) {

  if (document.getElementById(inputname).value.indexOf(newvalue+';')!=-1) {
   alert(newvalue+' ist bereits vorhanden!');
   return;
  }

  document.getElementById(inputname).value+=newvalue+';';
  showmsg();
}

function addempfaenger(typ,newvalue) {
	var parent = document.getElementById(typ+'_list');
    var node = document.createElement("a");
	
		if (defempf.indexOf(newvalue)==-1) {
			alert("Die Eingabe ist nicht zulssig!");
			return;
		}
		
		
		if (empf.indexOf(newvalue+";")!=-1 || cc.indexOf(newvalue+";")!=-1 ) 
		{
			alert("Diese Funktion ist bereits diesem Eintrag zugeordnet!");
			return;
		}
		
		

		
		node.setAttribute("href", "#");
        node.setAttribute("class", "lf_button2 white fg-gray");
        node.setAttribute("value", newvalue);
		node.innerHTML = newvalue +" &nbsp;&nbsp;<i class=\"mif-cancel\"></i>";
        node.setAttribute("onclick","removeempf('"+typ+"',this);");
        parent.appendChild(node);
		
		if (typ=="empf") {
		empf = empf +newvalue+";";
		} else
		{cc = cc + newvalue+";"; }

		document.getElementById("nr_"+typ).value ="";
}

function removeempf(typ,element)
{
	 var replacestring = "";
	 
	replacestring = element.innerHTML.replace(" &nbsp;&nbsp;<i class=\"mif-cancel\"></i>","");
	 
	if (typ=="empf") {
		empf = empf.replace(replacestring,"");
	} 
	else
	{
		cc = cc.replace(replacestring,"");
	}
	
	element.parentNode.removeChild(element);
}



/*  A N Z E I G E N     V O N     D I V s    */


 function shownewmsg() {
  closeall();
  clearnachricht();
  document.getElementById('newmsg').style.display = 'block';
  empf = defan;
  cc = defcc;
  files_count = 1;
 }

 function showmsg() {
  closeall();
  document.getElementById('newmsg').style.display = 'block';
 }

 function shownormal() {
  closeall();
  document.getElementById('lfcontent').style.display = 'block';
 }

 function closeall() {
  document.getElementById('lfcontent').style.display = 'none';
  document.getElementById('newmsg').style.display = 'none';
  document.getElementById('empfwahl').style.display = 'none';
 }

 // L A D E N    V O N    S E I T E N 
 
function showeinsatzsite(site,einsatznummer){
 nachricht_id = -1;
 loaddiv(site+'&einsatznummer='+einsatznummer,'lfcontent');
 if (site=="lf_kraefte") {
	 site="kraefte_em"
 }
 current_site=site+'&einsatznummer='+einsatznummer,'lfcontent';
 contentdiv='lfcontent';
 if (einsatznummer!="") {
	contentdiv='kraefte_div'; 
 }
 document.getElementById(navbutton).style.background="";
 shownormal();
}

 

function showchecklisten(){
 showloader('lfcontent');
 nachricht_id = -1;
 loaddiv('lf_checklisten','lfcontent');
 current_site='lf_checklisten';
 contentdiv='lfcontent';
 document.getElementById(navbutton).style.background="";
 shownormal();
 navbutton = "btnchecklisten";
 document.getElementById(navbutton).style.background="#C1E7FD";
}



function showlageverlauf(records,seite){
 showloader('lfcontent');
 nachricht_id = -1;
 loaddiv('lageverlauf&records='+records+'&skip='+(seite*records-records)+'&seite='+seite,'lfcontent');
 current_site='lageverlauf&records='+records+'&skip='+(seite*records-records)+'&seite='+seite;
  document.getElementById(navbutton).style.background="";
 shownormal();
 navbutton = "btnlageverlauf";
 document.getElementById(navbutton).style.background="#C1E7FD";
}

function showlageverlauf_own(records,seite){
 showloader('lfcontent');
 nachricht_id = -1;
 loaddiv('lageverlauf_own&records='+records+'&skip='+(seite*records-records)+'&seite='+seite,'lfcontent');
 current_site='lageverlauf_own&records='+records+'&skip='+(seite*records-records)+'&seite='+seite;
 contentdiv='lfcontent';
 document.getElementById(navbutton).style.background="";
 shownormal();
 navbutton = "btneigene";
 document.getElementById(navbutton).style.background="#C1E7FD";
}

function showlageverlaufoffen(){
 showloader('lfcontent');
 nachricht_id = -1;
 loaddiv('lageverlauf_offen','lfcontent');
 current_site='lageverlauf_offen';
 contentdiv='lfcontent';
 document.getElementById(navbutton).style.background="";
 shownormal();
 navbutton = "btnoffene";
 document.getElementById(navbutton).style.background="#C1E7FD";
}

function showauftragsverfolgung(records,seite){
 showloader('lfcontent');
 nachricht_id = -1;
 loaddiv('auftragsverfolgung&records='+records+'&skip='+(seite*records-records)+'&seite='+seite,'lfcontent');
 current_site='auftragsverfolgung&records='+records+'&skip='+(seite*records-records)+'&seite='+seite;
 contentdiv='lfcontent';
 document.getElementById(navbutton).style.background="";
 shownormal();
 navbutton = "btnauftraege";
 document.getElementById(navbutton).style.background="#C1E7FD";
}

function showauftragsverfolgungoffen(){
 showloader('lfcontent');
 nachricht_id = -1;
 loaddiv('auftragsverfolgung_offen','lfcontent');
 current_site='auftragsverfolgung_offen';
 contentdiv='lfcontent';
 document.getElementById(navbutton).style.background="";
 shownormal();
 navbutton = "btnauftragoffene";
 document.getElementById(navbutton).style.background="#C1E7FD";
}

function showlageeintrag(id) {
	var xmlhttp;
	

  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
		document.getElementById('msgdialogdiv').innerHTML=xmlhttp.responseText;
		nachricht_id = id;
		metroDialog.open('#msgdialog');
 			
    }
  }

xmlhttp.open("GET","service.html?ajaxlage=nachricht&id="+id+"&time="+(new Date()).getTime(),true);
xmlhttp.send();
	
}

function showempfwahl() {
	var xmlhttp;

  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
		document.getElementById('msgdialogdiv').innerHTML=xmlhttp.responseText;
		nachricht_id = -1;
		metroDialog.open('#msgdialog');
 			
    }
  }

xmlhttp.open("GET","service.html?ajaxlage=empfaengerwahl&time="+(new Date()).getTime(),true);
xmlhttp.send();
	
}

function showsichtung(id,nummer) {
	showloader('msgdialogdiv');
	loaddiv('sichtung&id='+id+'&nummer='+nummer,'msgdialogdiv');
}

function showmsgindlg(id) {
	showloader('msgdialogdiv');
	loaddiv('nachricht&id='+id,'msgdialogdiv');
}



// U P D A T E S
function updateall(){
     if (nachricht_id!=-1) {
        loaddiv('nachricht&id='+nachricht_id,'lfmailbox');
      }
	    showloader('lfcontent');
        loaddiv(current_site,contentdiv);
		updatenavigation();
}


function updatenavigation(){
 loaddiv('navigation','cell-sidebar');
}

// N A C H R I C H T     S P E I C H E R N


 function savenachricht()
 {
  var xmlhttp;
  var poststring;
  
    if (document.getElementById("nr_betrefftyp").value=="") {
		document.getElementById("nr_betrefftyp").style.color = "red";
        alert('Bitte whlen Sie einen Betrefftyp aus!');
   return false;
   }
  
  poststring = "&fieldVORRANG="+document.getElementById("nr_vorrang").value;
  poststring = poststring + "&fieldBEZUG="+document.getElementById("nr_bezug").value;
  poststring = poststring + "&zugewiesen="+escape(empf);
  poststring = poststring + "&info="+escape(cc);
  poststring = poststring + "&fieldART="+escape(document.getElementById("nr_meldeweg").value);
  poststring = poststring + "&fieldVON="+escape(document.getElementById("nr_von").value);
  poststring = poststring + "&fieldAN="+escape(document.getElementById("nr_an").value);
  poststring = poststring + "&BETREFF="+escape(document.getElementById("nr_betreff").value);
  poststring = poststring + "&BETREFFTYP="+escape(document.getElementById("nr_betrefftyp").value);

 if (contentdiv!="kraefte_div") {
       showloader('lfcontent');
	  }
  shownormal();
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    if (xmlhttp.responseText.indexOf("Fehler")==1) {
      alert(xmlhttp.responseText);
      return;
     } else {
      savenachranhang(xmlhttp.responseText);
    }
  }
 }

xmlhttp.open("GET","service.html?action=savenachricht&fieldINHALT="+escape(document.getElementById("nr_inhalt").value)+poststring+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();

}

// SICHTUNG SPEICHERN
 function addsichtung(typ,funktion,id,nummer)
 {
  var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    if (xmlhttp.responseText!='ok')
	{
	 alert(xmlhttp.responseText);
	} else {
	 document.getElementById(funktion).style.display = "none";
	}
    }
  }

xmlhttp.open("POST","service.html?action=makesichtung&typ="+typ+"&funktion="+funktion+"&id="+id+"&time="+(new Date()).getTime(),true);
xmlhttp.send();



}

// NACHRICHT LEEREN

function clearnachricht() {
   loaddiv("neue_nachricht","newmsg");
   loaddiv("empfaengerwahl","empfwahl");
}

function clearanhang() {
  document.getElementById("nr_uploads").innerHTML="";
  files_count = 1;
}


// ANTWORTEN
function antworten() {
  showmsg();
  document.getElementById("nr_bezug").value = document.getElementById("nr_akt_nr").innerHTML; 
  document.getElementById("nr_betreff").value = ""; 
  document.getElementById("nr_inhalt").value = "\n###\n---- Original Nachricht -----\n\nNummer: "+document.getElementById("nr_akt_nr").innerHTML;
  document.getElementById("nr_inhalt").value = document.getElementById("nr_inhalt").value + "\nGesendet am: "+document.getElementById("nr_akt_addtime").innerHTML;
  document.getElementById("nr_inhalt").value = document.getElementById("nr_inhalt").value +"\nGesendet von: "+document.getElementById("nr_akt_add_funktion").innerHTML+" ("+document.getElementById("nr_akt_user").innerHTML+")";
  document.getElementById("nr_inhalt").value = document.getElementById("nr_inhalt").value +"\nBetreff: "+document.getElementById("nr_akt_betreff").innerHTML; 
  document.getElementById("nr_inhalt").value = document.getElementById("nr_inhalt").value +"\n\n"+document.getElementById("nr_alt_inhalt").innerHTML.replace(/<br>/g,""); 
  metroDialog.close('#msgdialog');
}


// STATUS FR NACHRICHT SETZEN

function setnachrstatus(status)  {
	  setnrstat(status,nachricht_id);
}



function setnrstat (status,id){
var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  closeall();
  shownormal();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
     if (xmlhttp.responseText =="ok") {
		updateall();
		metroDialog.close('#msgdialog');
      } 
     else {
      alert(xmlhttp.responseText);
      }
    }
  }

xmlhttp.open("GET","service.html?action=setnachrichtstatus&status="+status+"&id="+id+"&time="+(new Date()).getTime(),true);
xmlhttp.send();
}

//ANHANG SPEICHERN

function savenachranhang(id) {

var xmlhttp;

 xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    if (xmlhttp.responseText=="ok") {
      shownormal();
      loaddiv(current_site,contentdiv);
	  
     } else {
	  showmsg();
      alert(xmlhttp.responseText);
      return;
    }
  }
 }

xmlhttp.open("POST","service.html?action=savenachranhang&keyvalue="+id+"&time="+(new Date()).getTime(),true);
xmlhttp.send(new FormData(document.getElementById('anhang_form')));
}

//NACHRICHT SUCHEN

function nachrichtsuchen(suchtext) {
	if (suchtext.length<3) {
		alert('Bitte geben Sie mindestens 3 Zeichen ein!');
		return;
	}
	
	 showloader('lfcontent');
	 loaddiv('lageverlauf_suchen&suche='+suchtext.toLowerCase(),'lfcontent');
         current_site='lageverlauf_suchen&suche='+suchtext.toLowerCase();
         contentdiv='lfcontent';
		 document.getElementById("suchedit").value="";
}

function addFileField ()
        		{
                        if (files_count==1) { document.getElementById("nr_uploads").innerHTML='<h2>Anhnge</h2><button class="lf_button2 place-right" onclick="clearanhang();" style="margin-right: 10%"> Lschen</button>'; }
            		var parent = document.getElementById('nr_uploads');
            		var node = document.createElement("input");
           		node.setAttribute("name", "file"+files_count);
            		node.setAttribute("type", "file");
            		node.setAttribute("value", "");
            		node.setAttribute("onchange","javascript:addFileField();");
            		parent.appendChild(node);
					 window.scrollTo(0, document.body.scrollHeight);

            	files_count = files_count+1;

        		}

