/* Script zur Lagefhrung in EDPweb
   Copyright 2015 by Eifert Systems GmbH
   http://einsatzleitsoftware.de
   
   Dieses Script darf ohne Zustimmung nicht verndert oder weiterkopiert werden. */

//Allgemeine functions


function showloader() {
	document.getElementById("lfcontent").innerHTML =' <img id="loadingImg" src="lage/loading.gif" style="position:absolute; right:50%; top:50%; z-index:100;" />';
}

function loaddiv(sitename,id){
var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  
  xmlhttp.onreadystatechange=function()
  {
	  
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
	if (xmlhttp.responseText.indexOf("Session abgelaufen.")>-1) {
		 alert('Ihre Sitzung ist abgelaufen!');
		 window.location = "service.html?showsite=anmelden";
	} else {
      document.getElementById('lfcontent').innerHTML=xmlhttp.responseText;
	 }
    }
	
   if (xmlhttp.readyState==4 && xmlhttp.status!=200)
	{
		 document.body.innerHTML= '<center><div style="width: 400px; padding-top: 50px"><div class="panel"><div class="panel-header">Server nicht erreichbar</div><div class="panel-content">Der EDPweb - Server ist nicht erreichbar. Daher wurde EDPplan beendet.<p>&nbsp;<br><a href="service.html?showsite=start" class="button primary large">Aktualisieren</a></p></div></div></div></div></center>';
		 window.location.href = window.location.href;
	}

  }
showloader();
xmlhttp.open("GET","service.html?ajax="+escape(sitename)+"&id="+escape(id)+"&time="+(new Date()).getTime(),true);
xmlhttp.send();

}

function loadwiki(sitename){
var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  
  xmlhttp.onreadystatechange=function()
  {
	  
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
	if (xmlhttp.responseText.indexOf("Session abgelaufen.")>-1) {
		 alert('Ihre Sitzung ist abgelaufen!');
		 window.location = "service.html?showsite=anmelden";
	} else {
      document.getElementById('lfcontent').innerHTML=xmlhttp.responseText;
	 }
    }
	
   if (xmlhttp.readyState==4 && xmlhttp.status!=200)
	{
		 document.body.innerHTML= '<center><div style="width: 400px; padding-top: 50px"><div class="panel"><div class="panel-header">Server nicht erreichbar</div><div class="panel-content">Der EDPweb - Server ist nicht erreichbar. Daher wurde EDPplan beendet.<p>&nbsp;<br><a href="service.html?showsite=start" class="button primary large">Aktualisieren</a></p></div></div></div></div></center>';
	}

  }
showloader();
xmlhttp.open("GET","service.html?wiki="+sitename+"&time="+(new Date()).getTime(),true);
xmlhttp.send();

}

function editwiki(sitename){
var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  
  xmlhttp.onreadystatechange=function()
  {
	  
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
	if (xmlhttp.responseText.indexOf("Session abgelaufen.")>-1) {
		 alert('Ihre Sitzung ist abgelaufen!');
		 window.location = "service.html?showsite=anmelden";
	} else {
      document.getElementById('lfcontent').innerHTML=xmlhttp.responseText;
	 }
    }
	
   if (xmlhttp.readyState==4 && xmlhttp.status!=200)
	{
		 document.body.innerHTML= '<center><div style="width: 400px; padding-top: 50px"><div class="panel"><div class="panel-header">Server nicht erreichbar</div><div class="panel-content">Der EDPweb - Server ist nicht erreichbar. Daher wurde EDPplan beendet.<p>&nbsp;<br><a href="service.html?showsite=start" class="button primary large">Aktualisieren</a></p></div></div></div></div></center>';
	}

  }
showloader();
xmlhttp.open("GET","service.html?wikiedit="+sitename+"&time="+(new Date()).getTime(),true);
xmlhttp.send();

}


function suchen(suchtext) {
	if (suchtext.length<3) {
		alert('Bitte geben Sie mindestens 3 Zeichen ein!');
		return;
	}
	 loaddiv('plan_suchen&suche='+suchtext.toLowerCase());
}

function savewiki()
{
  var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    if (xmlhttp.responseText!='OK')
	{
	 alert(xmlhttp.responseText);
	} else {
	  location.href = "service.html?wiki="+document.getElementById("kat").value+":"+document.getElementById("site").value;
	}
    }
  }

xmlhttp.open("GET","service.html?action=savewiki&kat="+document.getElementById("kat").value+"&site="+document.getElementById("site").value+"&content="+escape(document.getElementById("content").value)+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();

}

function insertTextAtCursor(el, text) {
    var val = el.value, endIndex, range;
    if (typeof el.selectionStart != "undefined" && typeof el.selectionEnd != "undefined") {
        endIndex = el.selectionEnd;
        el.value = val.slice(0, el.selectionStart) + text + val.slice(endIndex);
        el.selectionStart = el.selectionEnd = endIndex + text.length;
    } else if (typeof document.selection != "undefined" && typeof document.selection.createRange != "undefined") {
        el.focus();
        range = document.selection.createRange();
        range.collapse(false);
        range.text = text;
        range.select();
    }
}

function suchen(suchtext) {
	if (suchtext.length<3) {
		alert('Bitte geben Sie mindestens 3 Zeichen ein!');
		return;
	}
	 loaddiv('plan_suchen&suche='+suchtext.toLowerCase());
}

function newabschnitt(einsatznummer)
{
  var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    if (xmlhttp.responseText=='error')
	{
	 alert('Der Abschnitt konnte nicht angelegt werden!');
	} else {
	document.getElementById("newabschn_edit").value = "";
	refreshem(einsatznummer);
	refreshabschnitte(einsatznummer);
	}
    }
  }
xmlhttp.open("GET","service.html?action=newabschnitt&einsatznummer="+einsatznummer+"&bezeichnung="+escape(document.getElementById("newabschn_edit").value)+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
}

